<?php // $Id: javanode-render.tpl.php,v 1.1.2.4 2010/12/27 16:34:43 jimmyax Exp $
/**
 * @file
 *   Template for rendering a java node with XHTML markup.
 */
?>
<!-- Applet outer container - For styling -->
<div class="javanode-applet-outer">
  <!-- Applet inner container -->
  <div class="javanode-applet-inner">
    <object class="javanode-applet-object" classid="clsid:CAFEEFAC-0014-0002-0000-ABCDEFFEDCBA" width="<?php print check_plain($width); ?>" height="<?php print check_plain($height); ?>" codebase="http://java.sun.com/products/plugin/autodl/jinstall">
      <param name="type" value="application/x-java-applet" /> <!-- Opera, Google Chrome and Safari use the type parameter, instead of the clsid. -->
      <param name="code" value="<?php print check_plain($class); ?>" />
<!--  <param codebase för båda>-->
      <param name="archive" value="<?php print _javanode_output_archive($hotlink, $filepath); ?>" />
      <?php _javanode_render_params($params); ?>
      <!-- Firefox <object>-tag. It needs codetype and classid pair in the following form. -->
      <object class="javanode-applet-object-firefox" codetype="application/x-java-applet" classid="java:<?php print _javanode_format_class($class); ?>" width="<?php print check_plain($width); ?>" height="<?php print check_plain($height); ?>">
        <param name="archive" value="<?php print _javanode_output_archive($hotlink, $filepath); ?>" />
        <?php _javanode_render_params($params); ?>
        <div class="javanode-applet-alternative">
          <?php print javanode_get_missing_java(); ?>
        </div>
      </object>
    </object>
  </div> <!-- /.javanode-applet-inner -->
</div> <!-- /.javanode-applet-outer -->

