<?php
// $Id: javanode-render-iframe-page.tpl.php,v 1.1.2.1 2011/01/02 17:42:25 jimmyax Exp $
/**
 * @file
 *   Template file for rendering the page in an iframe. It uses HTML4 to get the
 *   <applet> to be valid and hopefully working everywhere.
 */
?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
  "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  	<title><?php print check_plain($title); ?></title>
  	<style type="text/css">
  		html {
  			height: 100%;
  			width: 100%;
  		}
	  	body {
  			height: 100%;
  			width: 100%;
  			margin: 0px;
  			padding: 0px;
  		}
	  	.game,
			.game noscript {
	  		height: 100%;
	  		width: 100%;
	  		margin: 0px;
	  		padding: 0px;
  		}
  	</style>
  </head>
  <body>
    <div class="game">
      <?php print theme('javanode_render__toolkit', '100%', '100%', $class, $hotlink, $filepath, $params); ?>
			<noscript>
			  <?php print theme('javanode_render__applet', '100%', '100%', $class, $hotlink, $filepath, $params); ?>
			</noscript>
    </div>
  </body>
</html>